# Uses of Enum Class
org.apache.sysds.utils.Hash.HashType

Packages that use Hash.HashType
Package
Description
org.apache.sysds.runtime.matrix.operators
org.apache.sysds.utils

## Uses of Hash.HashType in org.apache.sysds.runtime.matrix.operators

Methods in org.apache.sysds.runtime.matrix.operators that return Hash.HashType
Modifier and Type
Method
Description
`Hash.HashType`
CountDistinctOperator.`getHashType()`
Constructors in org.apache.sysds.runtime.matrix.operators with parameters of type Hash.HashType
Modifier
Constructor
Description
``
`CountDistinctOperator(CountDistinctOperatorTypes operatorType, Types.Direction direction, IndexFunction indexFunction, Hash.HashType hashType)`

## Uses of Hash.HashType in org.apache.sysds.utils

Methods in org.apache.sysds.utils that return Hash.HashType
Modifier and Type
Method
Description
`static Hash.HashType`
Hash.HashType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Hash.HashType[]`
Hash.HashType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.apache.sysds.utils with parameters of type Hash.HashType
Modifier and Type
Method
Description
`static int`
Hash.`hash(double o, Hash.HashType ht)`
Hash functions for double values.
`static int`
Hash.`hash(Object o, Hash.HashType ht)`
Generic hashing of java objects, not ideal for specific values so use the specific methods for specific types.